NX Open C++ Reference Guide
|
Represents a @link Weld::AutoPointBuilder Weld::AutoPointBuilder@endlink builder <br> To create a new instance of this class, use @link Weld::WeldManager::CreateAutoPointBuilder Weld::WeldManager::CreateAutoPointBuilder @endlink <br>
Default values. More...
Public Types | |
enum | InterferenceDetails { InterferenceDetailsNoWeldsNearBodies, InterferenceDetailsSame, InterferenceDetailsReplaced, InterferenceDetailsAdded, InterferenceDetailsDeleted } |
Settings to indicate whether an interference is near an existing weld point. More... | |
enum | Types { TypesNew, TypesMove } |
Settings to indicate whether new features should be created, or if features will be reused. More... | |
Public Member Functions | |
NXOpen::Assemblies::SelectComponentList * | ComponentsToJoin () |
Returns the components that should be welded together. | |
NXOpen::Assemblies::SelectComponentList * | ComponentsTreatAsUnit () |
Returns the components to treat as unit. | |
NXOpen::NXObject * | CreateFeatureSet (int interferenceIndex) |
Creates a feature set containing weld points for a given interference. | |
double | DistanceFromEnds () |
Returns the distance from the ends to start creating weld points at Created in NX6.0.0. | |
double | FaceGapDistance () |
Returns the face gap distance. | |
int | FindNumberOfInterferenceRegions () |
Finds all the interference areas between the selected components. | |
NXOpen::Weld::AutoPointBuilder::InterferenceDetails | GetInterferenceDetails (int interferenceIndex) |
The status indicating if the interference has existing weld points touching it. | |
double | MaximumBendRadius () |
Returns the bend radius of a flange. | |
double | MaximumCenterlineWidth () |
Returns the maximum centerline width. | |
double | MaximumSingleThickness () |
Returns the maximum single metal thinkness for all the selected components. | |
double | MaximumSpacingBetweenPoints () |
Returns the maximum spacing between points Created in NX6.0.0. | |
int | MimimumNumberPointsOnOverlap () |
Returns the mimimum number points to create on an overlap sheet Created in NX6.0.0. | |
double | MinimumFlangeWidth () |
Returns the minimum flange width. | |
double | MinimumSpacingBetweenPoints () |
Returns the minimum spacing between points Created in NX6.0.0. | |
double | OffsetDistanceFromEdge () |
Returns the offset distance from edge Created in NX6.0.0. | |
NXOpen::Features::SelectFeatureList * | ReuseFeatures () |
Returns the feature to reuse intead of creating new. | |
double | ReuseMatchTolerance () |
Returns the distance used to determine if the location of an existing weld feature is coincident with the newly calculated location. | |
void | SetDistanceFromEnds (double distanceFromEnds) |
Sets the distance from the ends to start creating weld points at Created in NX6.0.0. | |
void | SetFaceGapDistance (double faceGapDistance) |
Sets the face gap distance. | |
void | SetMaximumBendRadius (double maximumBendRadius) |
Sets the bend radius of a flange. | |
void | SetMaximumCenterlineWidth (double maximumCenterlineWidth) |
Sets the maximum centerline width. | |
void | SetMaximumSingleThickness (double maximumSingleThickness) |
Sets the maximum single metal thinkness for all the selected components. | |
void | SetMaximumSpacingBetweenPoints (double maximumSpacingBetweenPoints) |
Sets the maximum spacing between points Created in NX6.0.0. | |
void | SetMimimumNumberPointsOnOverlap (int mimimumNumberPointsOnOverlap) |
Sets the mimimum number points to create on an overlap sheet Created in NX6.0.0. | |
void | SetMinimumFlangeWidth (double minimumFlangeWidth) |
Sets the minimum flange width. | |
void | SetMinimumSpacingBetweenPoints (double minimumSpacingBetweenPoints) |
Sets the minimum spacing between points Created in NX6.0.0. | |
void | SetOffsetDistanceFromEdge (double offsetDistanceFromEdge) |
Sets the offset distance from edge Created in NX6.0.0. | |
void | SetReuseMatchTolerance (double reuseMatchTolerance) |
Sets the distance used to determine if the location of an existing weld feature is coincident with the newly calculated location. | |
void | SetType (NXOpen::Weld::AutoPointBuilder::Types type) |
Sets the type of creation. | |
void | SetUniformSpacingTolerance (double uniformSpacingTolerance) |
Sets the distance that maximum spacing can be exceeded to achieve uniform spacing Created in NX7.5.1. | |
void | SetWeldType (NXOpen::Weld::WeldFeatureSetType weldPointType) |
Sets the weld point type to create Created in NX6.0.0. | |
NXOpen::Weld::AutoPointBuilder::Types | Type () |
Returns the type of creation. | |
double | UniformSpacingTolerance () |
Returns the distance that maximum spacing can be exceeded to achieve uniform spacing Created in NX7.5.1. | |
NXOpen::Weld::WeldFeatureSetType | WeldType () |
Returns the weld point type to create Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a @link Weld::AutoPointBuilder Weld::AutoPointBuilder@endlink builder <br> To create a new instance of this class, use @link Weld::WeldManager::CreateAutoPointBuilder Weld::WeldManager::CreateAutoPointBuilder @endlink <br>
Default values.
Property | Value |
---|---|
DistanceFromEnds |
15.0 (millimeters part), 0.5 (inches part) |
FaceGapDistance |
1.5 (millimeters part), 0.05 (inches part) |
MaximumBendRadius |
16 (millimeters part), 0.75 (inches part) |
MaximumCenterlineWidth |
100 (millimeters part), 4 (inches part) |
MaximumSingleThickness |
2 (millimeters part), 0.08 (inches part) |
MaximumSpacingBetweenPoints |
50 (millimeters part), 2.0 (inches part) |
MimimumNumberPointsOnOverlap |
3 |
MinimumFlangeWidth |
6.0 (millimeters part), 0.25 (inches part) |
MinimumSpacingBetweenPoints |
25 (millimeters part), 1.0 (inches part) |
OffsetDistanceFromEdge |
6.25 (millimeters part), 0.25 (inches part) |
ReuseMatchTolerance |
1.0 (millimeters part), 0.04 (inches part) |
UniformSpacingTolerance |
4 (millimeters part), 0.16 (inches part) |
Created in NX6.0.0.
Settings to indicate whether an interference is near an existing weld point.
NXOpen::Assemblies::SelectComponentList* NXOpen::Weld::AutoPointBuilder::ComponentsToJoin | ( | ) |
Returns the components that should be welded together.
This can be one components, or many.
Created in NX6.0.0.
License requirements : None
NXOpen::Assemblies::SelectComponentList* NXOpen::Weld::AutoPointBuilder::ComponentsTreatAsUnit | ( | ) |
Returns the components to treat as unit.
No interferences will be found within this component.
Created in NX6.0.0.
License requirements : None
NXOpen::NXObject* NXOpen::Weld::AutoPointBuilder::CreateFeatureSet | ( | int | interferenceIndex | ) |
Creates a feature set containing weld points for a given interference.
interferenceIndex | Index to the desired interference |
double NXOpen::Weld::AutoPointBuilder::DistanceFromEnds | ( | ) |
Returns the distance from the ends to start creating weld points at
Created in NX6.0.0.
License requirements : None
double NXOpen::Weld::AutoPointBuilder::FaceGapDistance | ( | ) |
Returns the face gap distance.
This will be used to find interferences between bodies.
Created in NX6.0.0.
License requirements : None
int NXOpen::Weld::AutoPointBuilder::FindNumberOfInterferenceRegions | ( | ) |
Finds all the interference areas between the selected components.
This must be executed or no weld points will be created. The number of regions is used as an index to get the interference status. The first index is 0.
NXOpen::Weld::AutoPointBuilder::InterferenceDetails NXOpen::Weld::AutoPointBuilder::GetInterferenceDetails | ( | int | interferenceIndex | ) |
The status indicating if the interference has existing weld points touching it.
The index for this function is described in the find number of interference regions method.
interferenceIndex | Index to the desired interference |
double NXOpen::Weld::AutoPointBuilder::MaximumBendRadius | ( | ) |
Returns the bend radius of a flange.
Points will not be put on faces with a radius smaller than this value.
Created in NX6.0.2.
License requirements : None
double NXOpen::Weld::AutoPointBuilder::MaximumCenterlineWidth | ( | ) |
Returns the maximum centerline width.
Points will be created using the centerline method if the smallest width is less than this value. If greater, points will be created using the offset from edge method.
Created in NX6.0.0.
License requirements : None
double NXOpen::Weld::AutoPointBuilder::MaximumSingleThickness | ( | ) |
Returns the maximum single metal thinkness for all the selected components.
If the distance between top faces of two panels (or sheets) is greater than single thickness plus face gap distance, a point will not be created at that location.
Created in NX6.0.2.
License requirements : None
double NXOpen::Weld::AutoPointBuilder::MaximumSpacingBetweenPoints | ( | ) |
Returns the maximum spacing between points
Created in NX6.0.0.
License requirements : None
int NXOpen::Weld::AutoPointBuilder::MimimumNumberPointsOnOverlap | ( | ) |
Returns the mimimum number points to create on an overlap sheet
Created in NX6.0.0.
License requirements : None
double NXOpen::Weld::AutoPointBuilder::MinimumFlangeWidth | ( | ) |
Returns the minimum flange width.
If opposite sides of a flange are smaller than minimum flange width, it will be ignored.
Created in NX6.0.2.
License requirements : None
double NXOpen::Weld::AutoPointBuilder::MinimumSpacingBetweenPoints | ( | ) |
Returns the minimum spacing between points
Created in NX6.0.0.
License requirements : None
double NXOpen::Weld::AutoPointBuilder::OffsetDistanceFromEdge | ( | ) |
Returns the offset distance from edge
Created in NX6.0.0.
License requirements : None
NXOpen::Features::SelectFeatureList* NXOpen::Weld::AutoPointBuilder::ReuseFeatures | ( | ) |
Returns the feature to reuse intead of creating new.
These features will be updated instead of creating new.
Created in NX7.5.1.
License requirements : None
double NXOpen::Weld::AutoPointBuilder::ReuseMatchTolerance | ( | ) |
Returns the distance used to determine if the location of an existing weld feature is coincident with the newly calculated location.
If the locations are coincident, then the existing weld feature location will be reused.
Created in NX7.5.1.
License requirements : None
void NXOpen::Weld::AutoPointBuilder::SetDistanceFromEnds | ( | double | distanceFromEnds | ) |
Sets the distance from the ends to start creating weld points at
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
distanceFromEnds | distancefromends |
void NXOpen::Weld::AutoPointBuilder::SetFaceGapDistance | ( | double | faceGapDistance | ) |
Sets the face gap distance.
This will be used to find interferences between bodies.
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
faceGapDistance | facegapdistance |
void NXOpen::Weld::AutoPointBuilder::SetMaximumBendRadius | ( | double | maximumBendRadius | ) |
Sets the bend radius of a flange.
Points will not be put on faces with a radius smaller than this value.
Created in NX6.0.2.
License requirements : ugweld ("UG WELD")
maximumBendRadius | maximumbendradius |
void NXOpen::Weld::AutoPointBuilder::SetMaximumCenterlineWidth | ( | double | maximumCenterlineWidth | ) |
Sets the maximum centerline width.
Points will be created using the centerline method if the smallest width is less than this value. If greater, points will be created using the offset from edge method.
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
maximumCenterlineWidth | maximumcenterlinewidth |
void NXOpen::Weld::AutoPointBuilder::SetMaximumSingleThickness | ( | double | maximumSingleThickness | ) |
Sets the maximum single metal thinkness for all the selected components.
If the distance between top faces of two panels (or sheets) is greater than single thickness plus face gap distance, a point will not be created at that location.
Created in NX6.0.2.
License requirements : ugweld ("UG WELD")
maximumSingleThickness | maximumsinglethickness |
void NXOpen::Weld::AutoPointBuilder::SetMaximumSpacingBetweenPoints | ( | double | maximumSpacingBetweenPoints | ) |
Sets the maximum spacing between points
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
maximumSpacingBetweenPoints | maximumspacingbetweenpoints |
void NXOpen::Weld::AutoPointBuilder::SetMimimumNumberPointsOnOverlap | ( | int | mimimumNumberPointsOnOverlap | ) |
Sets the mimimum number points to create on an overlap sheet
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
mimimumNumberPointsOnOverlap | mimimumnumberpointsonoverlap |
void NXOpen::Weld::AutoPointBuilder::SetMinimumFlangeWidth | ( | double | minimumFlangeWidth | ) |
Sets the minimum flange width.
If opposite sides of a flange are smaller than minimum flange width, it will be ignored.
Created in NX6.0.2.
License requirements : ugweld ("UG WELD")
minimumFlangeWidth | minimumflangewidth |
void NXOpen::Weld::AutoPointBuilder::SetMinimumSpacingBetweenPoints | ( | double | minimumSpacingBetweenPoints | ) |
Sets the minimum spacing between points
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
minimumSpacingBetweenPoints | minimumspacingbetweenpoints |
void NXOpen::Weld::AutoPointBuilder::SetOffsetDistanceFromEdge | ( | double | offsetDistanceFromEdge | ) |
Sets the offset distance from edge
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
offsetDistanceFromEdge | offsetdistancefromedge |
void NXOpen::Weld::AutoPointBuilder::SetReuseMatchTolerance | ( | double | reuseMatchTolerance | ) |
Sets the distance used to determine if the location of an existing weld feature is coincident with the newly calculated location.
If the locations are coincident, then the existing weld feature location will be reused.
Created in NX7.5.1.
License requirements : ugweld ("UG WELD")
reuseMatchTolerance | reusematchtolerance |
void NXOpen::Weld::AutoPointBuilder::SetType | ( | NXOpen::Weld::AutoPointBuilder::Types | type | ) |
Sets the type of creation.
Created in NX7.5.1.
License requirements : ugweld ("UG WELD")
type | type |
void NXOpen::Weld::AutoPointBuilder::SetUniformSpacingTolerance | ( | double | uniformSpacingTolerance | ) |
Sets the distance that maximum spacing can be exceeded to achieve uniform spacing
Created in NX7.5.1.
License requirements : ugweld ("UG WELD")
uniformSpacingTolerance | uniformspacingtolerance |
void NXOpen::Weld::AutoPointBuilder::SetWeldType | ( | NXOpen::Weld::WeldFeatureSetType | weldPointType | ) |
Sets the weld point type to create
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
weldPointType | weldpointtype |
NXOpen::Weld::AutoPointBuilder::Types NXOpen::Weld::AutoPointBuilder::Type | ( | ) |
Returns the type of creation.
Created in NX7.5.1.
License requirements : None
double NXOpen::Weld::AutoPointBuilder::UniformSpacingTolerance | ( | ) |
Returns the distance that maximum spacing can be exceeded to achieve uniform spacing
Created in NX7.5.1.
License requirements : None
NXOpen::Weld::WeldFeatureSetType NXOpen::Weld::AutoPointBuilder::WeldType | ( | ) |
Returns the weld point type to create
Created in NX6.0.0.
License requirements : None